### **一、功能概述**

 - **订单业务**：CRM订单管理系统可以实现订单的自动创建、处理、跟踪和关闭，整合销售、供应链和客户支持等业务流程。同时，也能通过分析订单的历史数据，总结出订单的特点和规律，帮助企业更好地制定销售策略和优惠政策。
 - **出库业务**：CRM系统通过库存管理功能，可以实时掌握库存情况，当订单被确认后，系统会自动进行库存扣减，并生成出库单。出库单会详细列出需要出库的产品、数量、批次等信息，以便仓库人员按照出库单进行拣货和发货，打通物流与库存的边界，形成业务流通。
 - **退货业务**：当客户需要退货时，可以通过CRM系统提交退货申请。系统会自动审核退货申请，并生成退货单。退货单会详细列出退货的产品、数量、原因等信息。仓库人员收到退货后，会进行验收并更新库存信息。
 - **退换货业务**：退换货业务是退货业务和出库业务的结合。当客户需要退换货时，可以先通过CRM系统提交退货申请并完成退货流程。然后，客户可以重新下单购买需要的产品，CRM系统会再次进行出库流程，将新的产品发送给客户。

### 二、核心服务说明
<table>
	<tbody>
		<tr>
			<td >类地址</td>
			<td >类名</td>
			<td >类说明</td>
			<td >请求方式</td>
			<td >方法地址</td>
			<td >方法名</td>
			<td >方法说明</td>
		</tr>
		<tr>
			<td rowspan="16" >/crm-eb/api/contractOther/archive</td>
			<td rowspan="16" >CContractOtherController</td>
			<td rowspan="16" >其他合同</td>
			<td >POST</td>
			<td >/archive</td>
			<td >archiveact</td>
			<td >归档新建客户</td>
		</tr>	
	</tbody>
</table>



### 三、数据库设计
![输入图片说明](/imgs/2024-02-26/zEMchSXOG3lTAz26.jpeg)
### 四、代码运行截图
![输入图片说明](/imgs/2024-02-26/S9LSKlxBUTuARe05.png)
<!--stackedit_data:
eyJoaXN0b3J5IjpbLTE2ODM4NTgyNiwyODI0MDAwMjcsMTg2NT
k3NDgwNiwxMzc0NjQ0MTgwLC0yNzczMzUwNSwtMjA2NTcyNzUz
OSwtNTE2NDI4MDZdfQ==
-->